From 1522cd13558aa821de7435b291d47009907f3466 Mon Sep 17 00:00:00 2001
From: Marcel Apfelbaum <marcel@redhat.com>
Date: Tue, 14 Jul 2015 15:23:13 -0400
Subject: [PATCH] bootorder: Update "extra pci root" buses bootorder format to
 match qemu

Message-id: <1436887393-17958-1-git-send-email-marcel@redhat.com>
Patchwork-id: 67011
O-Subject: [RHEL-7.2 seabios PATCH] bootorder: Update "extra pci root" buses bootorder format to match qemu
Bugzilla: 1242968
RH-Acked-by: Miroslav Rezanina <mrezanin@redhat.com>
RH-Acked-by: Gerd Hoffmann <kraxel@redhat.com>
RH-Acked-by: Laszlo Ersek <lersek@redhat.com>

From: Kevin O'Connor <kevin@koconnor.net>

The QEMU code will use the prefix "/pci@i0cf8,%x/" for devices on
extra pci root buses, so change the SeaBIOS code to match that.

Signed-off-by: Kevin O'Connor <kevin@koconnor.net>
(cherry picked from commit 1202f03583f3b8b46e2de6b82630054d53e24801)
Signed-off-by: Marcel Apfelbaum <marcel@redhat.com>
Signed-off-by: ymankad <ymankad@redhat.com>
---
 src/boot.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/boot.c b/src/boot.c
index a719349..05cb3e4 100644
--- a/src/boot.c
+++ b/src/boot.c
@@ -111,9 +111,9 @@ build_pci_path(char *buf, int max, const char *devname, struct pci_device *pci)
     if (pci->parent) {
         p = build_pci_path(p, max, "pci-bridge", pci->parent);
     } else {
-        if (pci->rootbus)
-            p += snprintf(p, max, "/pci-root@%x", pci->rootbus);
         p += snprintf(p, buf+max-p, "%s", FW_PCI_DOMAIN);
+        if (pci->rootbus)
+            p += snprintf(p, buf+max-p, ",%x", pci->rootbus);
     }
 
     int dev = pci_bdf_to_dev(pci->bdf), fn = pci_bdf_to_fn(pci->bdf);
-- 
2.4.0

